/****************************************************************/
/*             Creation of GenINI desktop folder                */
/****************************************************************/

/* Register with REXX API extensions. */
Call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
Call SysLoadFuncs

Say 'GenINI Installation Script.'
Say
Say 'Create GenINI folder and icons.'
Say
Say 'NOTE: This program needs to be executed from the installation directory'
Say '      of your working GenINI setup.'
Say
CreateCollision = 'Replace'

Call CreateObjects
Exit

CreateObject: procedure
    Parse Arg Class, Title, Location, Setup, Collision
    Say 'Creating ['Title']'
    rc = SysCreateObject( Class, Title, Location, Setup, Collision )
    If rc <> 1 Then
        Say ' > failed to create ['Title' | 'Class'] at location ['Location']'
    return rc

CreateShadow: procedure
    Parse Arg Original, Location
    Say 'Creating Shadow of 'Original
    rc = SysCreateShadow( Original, Location )
    If rc <> 1 Then
        Say ' > failed to create shadow of 'Original' at location ['Location']'
    return rc

CreateObjects:

current_dir = directory()

/***************/
/* MAIN FOLDER */
/***************/

rc = CreateObject( 'WPFolder',,
    'GenINI',,
    '<WP_DESKTOP>',,
    'NOPRINT=YES;'||,
        'DEFAULTVIEW=CONTENTS;'||,
        'SELFCLOSE=1;'||,
        'ICONVIEW=NONGRID,NORMAL;'||,
        'DETAILSVIEW=MINI;'||,
        'TREEVIEW=LINES,NORMAL;'||,
        'ALWAYSSORT=YES;'||,
        'ICONFILE='||current_dir||'\GIfold1.ico;'||,
        'ICONNFILE=1,'||current_dir||'\GIfold2.ico;'||,
        'OBJECTID=<GenINI_folder>',,
    CreateCollision )

/***************************/
/*  OBJECTS IN MAIN FOLDER */
/***************************/

  rc = CreateShadow(current_dir||'\README', '<GenINI_folder>')

  rc = CreateObject( 'WPProgram',,
      'Dump INI file',,
      '<GenINI_folder>',,
      'NOPRINT=YES;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'EXENAME='||current_dir||'\DUMPINI.EXE;'||,
          'STARTUPDIR='||current_dir||';'||,
          'MINIMIZED=YES;'||,
          'OBJECTID=<DumpINI_program>',,
      CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'Restore INI file',,
      '<GenINI_folder>',,
      'NOPRINT=YES;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'EXENAME='||current_dir||'\LOADINI.EXE;'||,
          'STARTUPDIR='||current_dir||';'||,
          'OBJECTID=<LoadINI_program>',,
      CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'GenINI documentation',,
      '<GenINI_folder>',,
      'NOPRINT=YES;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'EXENAME='||'VIEW.EXE;'||,
          'PARAMETERS='||current_dir||'\GENINI.INF;'||,
          'STARTUPDIR='||current_dir||';'||,
          'MINIMIZED=NO;'||,
          'OBJECTID=<GenINI_INF>',,
      CreateCollision )

  rc = CreateObject( 'WPURL',,
      'Updates and source code',,
      '<GenINI_folder>',,
      'NOPRINT=YES;'||,
          'URL=http://www.pmoylan.org/pages/os2/genini.html',,
      CreateCollision )

return

